Get assets
curl --request GET \
--url https://relay.bayse.markets/v1/wallet/assetsimport requests
url = "https://relay.bayse.markets/v1/wallet/assets"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://relay.bayse.markets/v1/wallet/assets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"assets": [
{
"id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"symbol": "USD",
"userId": "b2c3d4e5-f6a7-8901-bcde-f12345678901",
"network": "bep20",
"availableBalance": 1250.50,
"pendingBalance": 0,
"depositActivity": "ACTIVE",
"withdrawalActivity": "ACTIVE",
"wagerActivity": "ACTIVE",
"isDefault": true,
"isLocalCurrencyAsset": false,
"addresses": [
{
"id": "c3d4e5f6-a7b8-9012-cdef-123456789012",
"address": "0x1234567890abcdef1234567890abcdef12345678",
"symbol": "USDT",
"provider": "hostcap",
"network": "bep20"
}
],
"createdAt": "2026-01-13T08:38:32.454Z",
"updatedAt": "2026-02-18T11:32:09.718Z"
},
{
"id": "d4e5f6a7-b8c9-0123-defa-456789012345",
"symbol": "NGN",
"userId": "b2c3d4e5-f6a7-8901-bcde-f12345678901",
"network": "bep20",
"availableBalance": 50000.00,
"pendingBalance": 50000.00,
"depositActivity": "ACTIVE",
"withdrawalActivity": "ACTIVE",
"wagerActivity": "ACTIVE",
"isDefault": false,
"isLocalCurrencyAsset": true,
"addresses": [],
"createdAt": "2026-06-04T08:47:59.086Z",
"updatedAt": "2026-02-18T12:52:51.715Z"
}
]
}
Wallet
Get assets
Get wallet assets and balances for the authenticated user
GET
/
v1
/
wallet
/
assets
Get assets
Authentication
Read authentication required —X-Public-Key header. See the Authentication guide.
Example request
curl "https://relay.bayse.markets/v1/wallet/assets" \
-H "X-Public-Key: pk_live_abcdef123456"
const response = await fetch('https://relay.bayse.markets/v1/wallet/assets', {
headers: {
'X-Public-Key': 'pk_live_abcdef123456',
},
});
const assets = await response.json();
import requests
resp = requests.get(
'https://relay.bayse.markets/v1/wallet/assets',
headers={'X-Public-Key': 'pk_live_abcdef123456'},
)
assets = resp.json()
req, _ := http.NewRequest("GET", "https://relay.bayse.markets/v1/wallet/assets", nil)
req.Header.Set("X-Public-Key", "pk_live_abcdef123456")
resp, _ := http.DefaultClient.Do(req)
Response
array
List of the user’s wallet assets.
Show asset fields
Show asset fields
string
Asset UUID.
string
Currency symbol (e.g.,
USD, NGN).string
Owner’s user UUID.
string
Blockchain network (e.g.,
bep20, tron, sol).number
Available balance.
number
Pending balance.
string
ACTIVE or SUSPENDED.string
ACTIVE or SUSPENDED.string
ACTIVE or SUSPENDED.boolean
Whether this is the user’s default asset.
boolean
Whether this is a local currency asset.
array
string
ISO 8601 timestamp.
string
ISO 8601 timestamp.
{
"assets": [
{
"id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"symbol": "USD",
"userId": "b2c3d4e5-f6a7-8901-bcde-f12345678901",
"network": "bep20",
"availableBalance": 1250.50,
"pendingBalance": 0,
"depositActivity": "ACTIVE",
"withdrawalActivity": "ACTIVE",
"wagerActivity": "ACTIVE",
"isDefault": true,
"isLocalCurrencyAsset": false,
"addresses": [
{
"id": "c3d4e5f6-a7b8-9012-cdef-123456789012",
"address": "0x1234567890abcdef1234567890abcdef12345678",
"symbol": "USDT",
"provider": "hostcap",
"network": "bep20"
}
],
"createdAt": "2026-01-13T08:38:32.454Z",
"updatedAt": "2026-02-18T11:32:09.718Z"
},
{
"id": "d4e5f6a7-b8c9-0123-defa-456789012345",
"symbol": "NGN",
"userId": "b2c3d4e5-f6a7-8901-bcde-f12345678901",
"network": "bep20",
"availableBalance": 50000.00,
"pendingBalance": 50000.00,
"depositActivity": "ACTIVE",
"withdrawalActivity": "ACTIVE",
"wagerActivity": "ACTIVE",
"isDefault": false,
"isLocalCurrencyAsset": true,
"addresses": [],
"createdAt": "2026-06-04T08:47:59.086Z",
"updatedAt": "2026-02-18T12:52:51.715Z"
}
]
}
⌘I